Package Details: ngspice-git r7276.598751eb8-1

Git Clone URL: https://aur.archlinux.org/ngspice-git.git (read-only, click to copy)
Package Base: ngspice-git
Description: Mixed-level/Mixed-signal circuit simulator based on Spice3f5, Ciber1b1, and Xspice.
Upstream URL: http://ngspice.sourceforge.net
Licenses: BSD
Conflicts: ngspice
Provides: ngspice
Submitter: nickoe
Maintainer: nickoe
Last Packager: nickoe
Votes: 4
Popularity: 0.035826
First Submitted: 2016-10-16 22:29
Last Updated: 2021-03-01 22:08

Required by (8)

Sources (2)

Latest Comments

nickoe commented on 2021-03-01 22:01

@StefanH, kicad-git does not require a minimum version of ngspice that is not in the normal repo. So I am not exactly sure I understand the need for it here.

What do we gain by using the pkgconfig file (.pc) file in kicad? I am not overly familiar with pkgconfig.

StefanH commented on 2021-03-01 09:44

Hi Nick, thanks for hosting this package! Could you please add a base version to the provides (line 18)? Eg provides=("ngspice") -> provides=("ngspice=34"). This helps upgrade ngspice to ngspice-git when a package requiring a minimum ngspice version is installed (kicad-git).

Also this package builds a pkg-config file, but never installs it. Inserting around line 63: install -D -m644 ngspice.pc "$pkgdir/usr/lib/pkgconfig/ngspice.pc" allows packages like KiCad to use pkg-config.